/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix/{pixId}/confirm
curl --request POST \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix/{pixId}/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"retryCount": 0,
"customFields": {}
}
'import requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix/{pixId}/confirm"
payload = {
"retryCount": 0,
"customFields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({retryCount: 0, customFields: {}})
};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix/{pixId}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"environment": "LIVE",
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>",
"creditParty": {
"bankIspb": "<string>",
"accountType": "CACC",
"document": "<string>",
"keyType": "PHONE",
"key": "<string>",
"name": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"branch": "<string>",
"accountNumber": 123
},
"debitParty": {
"bankIspb": "<string>",
"accountType": "CACC",
"document": "<string>",
"keyType": "PHONE",
"key": "<string>",
"name": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"branch": "<string>",
"accountNumber": 123
},
"description": "<string>",
"direction": "<string>",
"receipt": {
"endToEndId": "<string>"
},
"initiationType": "MANUAL",
"status": "REQUESTED",
"transactionType": "TRANSFER",
"txnCurrency": "356",
"txnAllowAmountChange": true,
"txnOriginalAmount": 123,
"txnDiscountAmount": 123,
"txnFineAmount": 123,
"txnInterestAmount": 123,
"txnPurchaseAmount": 123,
"txnWithdrawalAmount": 123,
"txnUpdatedAmount": 123,
"external": {
"pixId": "<string>",
"platformCustomFields": [
"<unknown>"
]
},
"requester": {
"userId": "<string>",
"name": "<string>",
"email": "<string>"
},
"confirmedAt": "<string>",
"confirmedAmount": 123,
"confirmedBalanceCategory": "FLEX_NATIONAL",
"dueDate": "<string>",
"expiresAt": "<string>",
"canceledAt": "<string>",
"refundedAt": "<string>",
"qrCodeType": "STATIC",
"pixCopyPaste": "<string>",
"qrQrCodeActive": true,
"additionalInfo": [
{
"key": "<string>",
"value": "<string>"
}
],
"withdrawal": {
"agentType": "AGTEC",
"serviceProvider": "<string>"
},
"processingType": "INSTANT",
"createdAt": "<string>",
"updatedAt": "<string>"
}{}PIX
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix/{pixId}/confirm
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
accounts
/
{accountId}
/
wallets
/
{walletId}
/
pix
/
{pixId}
/
confirm
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix/{pixId}/confirm
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
Available options:
LIVE, TEST Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
MANUAL, DICT, STATIC_QRCODE, DYNAMIC_QRCODE, UNDEFINED_QRCODE, COPY_PASTE, FULL_BANK_DETAILS, REVERSAL, AUTOMATIC_PIX, PAYMENT_INITIATOR Available options:
REQUESTED, CANCELLED, CONFIRMED, PAID, FAILED, REFUNDED Available options:
TRANSFER, CHANGE, WITHDRAWAL, PAYMENT Available options:
356, 978, 710, 967, 932, 953, 704, 937, 548, 860, 940, 858, 800, 980, 036, 949, 934, 840, 788, 780, 776, 554, 952, 834, 972, 901, 764, 941, 951, 678, 578, 947, 756, 948, 752, 968, 728, 938, 748, 144, 706, 994, 532, 690, 694, 925, 882, 654, 504, 646, 946, 760, 214, 203, 950, 826, 404, 417, 634, 985, 604, 965, 600, 586, 598, 590, 512, 566, 558, 524, 516, 484, 979, 104, 943, 496, 498, 480, 478, 458, 462, 454, 969, 807, 446, 434, 422, 430, 426, 418, 414, 400, 392, 388, 886, 376, 352, 364, 368, 360, 090, 208, 238, 136, 348, 344, 340, 332, 270, 324, 328, 320, 292, 981, 936, 960, 608, 242, 643, 230, 997, 232, 784, 222, 818, 262, 931, 192, 191, 188, 408, 410, 976, 174, 170, 970, 702, 156, 990, 152, 398, 124, 116, 132, 064, 108, 975, 096, 986, 072, 977, 984, 068, 060, 084, 974, 052, 050, 048, 044, 944, 682, 533, 051, 012, 032, 008 Show child attributes
Show child attributes
Who created this payment — the authenticated user at creation time. Absent on payments created before this field existed.
Show child attributes
Show child attributes
Available options:
FLEX_NATIONAL, FLEX_INTERNATIONAL, FOOD, GAS, MOBILITY, TOLL, FLEX_NATIONAL_WITHOUT_WITHDRAWALS, ADS, SAAS, HOTEL, AIRLINES, TRAVEL, BLOCKED, CASHBACK Available options:
STATIC, COB, COBV Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
INSTANT, DELAYED